io.undertow.server

## Interface OpenListener

All Superinterfaces:
  org.xnio.ChannelListener<org.xnio.StreamConnection>, EventListener

All Known Subinterfaces:
  DelegateOpenListener

All Known Implementing Classes:
  AjpOpenListener, AlpnOpenListener, Http2OpenListener, HttpOpenListener

    public interface OpenListener
    extends org.xnio.ChannelListener<org.xnio.StreamConnection>

Interface that represents an open listener, aka a connector.

Author:
  Stuart Douglas

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.xnio.ChannelListener

`org.xnio.ChannelListener.Setter<T extends Channel>, org.xnio.ChannelListener.SimpleSetter<T extends Channel>`

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`default void` `closeConnections()` Close all active connections that were handled by this listener
`ByteBufferPool` `getBufferPool()`
`ConnectorStatistics` `getConnectorStatistics()`
`HttpHandler` `getRootHandler()`
`org.xnio.OptionMap` `getUndertowOptions()`
`void` `setRootHandler(HttpHandler rootHandler)` Sets the root handler
`void` `setUndertowOptions(org.xnio.OptionMap undertowOptions)`

### Methods inherited from interface org.xnio.ChannelListener

`handleEvent`

### Method Detail

#### getRootHandler

    HttpHandler getRootHandler()

Returns:
  The first handler that will be executed by requests on the connector

#### setRootHandler

    void setRootHandler(HttpHandler rootHandler)

Sets the root handler

Parameters:
  `rootHandler` - The new root handler

#### getUndertowOptions

    org.xnio.OptionMap getUndertowOptions()

Returns:
  The connector options

#### setUndertowOptions

    void setUndertowOptions(org.xnio.OptionMap undertowOptions)

Parameters:
  `undertowOptions` - The connector options

#### getBufferPool

    ByteBufferPool getBufferPool()

Returns:
  The buffer pool in use by this connector

#### getConnectorStatistics

    ConnectorStatistics getConnectorStatistics()

Returns:
  The connector statistics, or null if statistics gathering is disabled.

#### closeConnections

    default void closeConnections()

Close all active connections that were handled by this listener